Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\Base\Exceptions\InvalidArgumentValue Class Reference

Invalid Argument Type Exception implementation. More...

Inheritance diagram for eZ\Publish\Core\Base\Exceptions\InvalidArgumentValue:

## Public Member Functions
| __construct ($argumentName, $value, $className=null, Exception $previous=null)
| Generates: "Argument '{$argumentName}' is invalid: '{$value}' is wrong value[ in class '{$className}']". More...
Public Member Functions inherited from eZ\Publish\Core\Base\Exceptions\InvalidArgumentException
| __construct ($argumentName, $whatIsWrong, Exception $previous=null)
| Generates: "Argument '{$argumentName}' is invalid: {$whatIsWrong}". More...
Public Member Functions inherited from eZ\Publish\Core\Base\Translatable
| getMessageTemplate ()
| Returns the message template, with placeholders for parameters. More...
| setMessageTemplate ($messageTemplate)
| Injects the message template. More...
| getParameters ()
| Returns a hash map with param placeholder as key and its corresponding value. More...
| setParameters (array $parameters)
| Injects the hash map, with param placeholder as key and its corresponding value. More...
| addParameter ($name, $value)
| Adds a parameter to existing hash map. More...
| addParameters (array $parameters)
| Adds $parameters to existing hash map. More...
| getBaseTranslation ()
| Returns base translation, computed with message template and parameters. More...

## Detailed Description

Invalid Argument Type Exception implementation.

Usage: throw new InvalidArgument( 'nodes', 'array' );

Definition at line 16 of file Base/Exceptions/InvalidArgumentValue.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Base\Exceptions\InvalidArgumentValue::__construct | ( |  | $argumentName,
|  |  | $value,
|  |  | $className = `null`,
|  | Exception | $previous = `null`
| ) |  |

Generates: "Argument '{$argumentName}' is invalid: '{$value}' is wrong value[ in class '{$className}']".

Parameters

  string | $argumentName |
  mixed | $value |
  string | null | $className | Optionally to specify class in abstract/parent classes
  \Exception | null | $previous |

@Ignore

Definition at line 26 of file Base/Exceptions/InvalidArgumentValue.php.

References eZ\Publish\Core\Base\$parameters, eZ\Publish\Core\Base\Translatable\addParameters(), eZ\Publish\Core\Base\Translatable\getBaseTranslation(), eZ\Publish\Core\Base\Translatable\getMessageTemplate(), and eZ\Publish\Core\Base\Translatable\setMessageTemplate().

The documentation for this class was generated from the following file:

- Base/Exceptions/InvalidArgumentValue.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.